Bug 443847 - RFE: pinentry-gtk should do a 'cancel' on ESC
RFE: pinentry-gtk should do a 'cancel' on ESC
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pinentry (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 13:33 EDT by Kevin Fenzi
Modified: 2017-12-31 08:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-31 08:16:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-04-23 13:33:04 EDT
when using claws-mail with gpg signatures set for all outgoing emails,
pinentry-gtk properly comes up and asks for your passphrase, however, if you hit
ESC it simply ignores your input.

ESC should cause pinentry to act as if the user hit 'cancel', IMHO. 

I would be happy to file this upstream, but the upstream bug tracker seems to
just be full of spam. ;(
Comment 1 Rex Dieter 2008-04-23 14:18:15 EDT
please report it upstream anyway, I'll make sure to highlight the report on
upstream's mailing list(s).
Comment 2 Kevin Fenzi 2008-04-23 15:09:33 EDT
Filed upstream at: 

https://www.intevation.de/roundup/aegypten/issue964
Comment 3 Jon Stanley 2008-04-23 16:28:56 EDT
Adding FutureFeature keyword to RFE's.
Comment 4 Fedora Admin XMLRPC Client 2014-07-19 13:59:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Rex Dieter 2017-12-31 08:16:37 EST
It appears this has been implemented,
https://dev.gnupg.org/rP9d2d8b6bfaf2d5b07e7fb5be7188516e4158ed98

Note You need to log in before you can comment on or make changes to this bug.